---

#! /db/releases/20250110234916/lkp-src/jobs/kernel-selftests-bpf.yaml
suite: kernel-selftests-bpf
testcase: kernel-selftests-bpf
category: functional
need_memory: 12G
need_cpu: 2
kernel-selftests-bpf:
  group: bpf
timeout: 1h
job_origin: kernel-selftests-bpf.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-kbl-d01
tbox_group: lkp-kbl-d01
job_file: "/lkp/jobs/scheduled/lkp-kbl-d01/kernel-selftests-bpf-bpf-debian-12-x86_64-20240206.cgz-1c7701f3dda1-20250123-462748-1p8k1x2-0.yaml"
id: a6507492caa92db8d87e7506902bf24001f51f2c
queuer_version: "/zday/lkp"

#! /db/releases/20250110234916/lkp-src/hosts/lkp-kbl-d01
model: Kaby Lake
nr_node: 1
nr_cpu: 8
memory: 32G
nr_ssd_partitions: 1
nr_hdd_partitions: 4
hdd_partitions: "/dev/disk/by-id/ata-ST1000DM003-1CH162_Z1D3X32H-part*"
ssd_partitions: "/dev/disk/by-id/ata-CT1000BX500SSD1_2203E5FF08F0-part1"
rootfs_partition: "/dev/disk/by-id/ata-CT1000BX500SSD1_2203E5FF08F0-part2"
brand: Intel(R) Core(TM) i7-7700 CPU @ 3.60GHz
ucode: '0xf4'
need_kconfig_hw:
- PTP_1588_CLOCK: "y"
- E1000E: "y"
- SATA_AHCI

#! /db/releases/20250110234916/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:

#! /db/releases/20250110234916/lkp-src/include/category/ALL
sanity-check:

#! /db/releases/20250110234916/lkp-src/include/queue/cyclic
commit: 1c7701f3dda185212b05ce57b783ec9f40d599ee

#! /db/releases/20250110234916/lkp-src/programs/kernel-selftests-bpf/include
need_kconfig:
- RUNTIME_TESTING_MENU: "y"
- 9P_FS_POSIX_ACL: "y"
- 9P_FS_SECURITY: "y"
- 9P_FS: "y"
- AGP
- AGP_INTEL
- AUDIT: "y"
- BACKLIGHT_CLASS_DEVICE: "y"
- BINFMT_MISC
- BLK_CGROUP_IOLATENCY: "y"
- BLK_CGROUP: "y"
- BLK_DEV_BSGLIB: "y"
- BLK_DEV_LOOP: "y"
- BLK_DEV_RAM
- BLK_DEV_RAM_SIZE: 16384
- BLK_DEV_THROTTLING: "y"
- BOOTPARAM_HARDLOCKUP_PANIC: "y"
- BOOTPARAM_SOFTLOCKUP_PANIC: "y"
- BOOTTIME_TRACING: "y"
- BPF_EVENTS: "y"
- BPFILTER: "y"
- BPF_JIT_ALWAYS_ON: "y"
- BPF_JIT: "y"
- BPF_KPROBE_OVERRIDE: "y"
- BPF_LIRC_MODE2: "y"
- BPF_LSM: "y"
- BPF_PRELOAD_UMD: "y"
- BPF_PRELOAD: "y"
- BPF_STREAM_PARSER: "y"
- BPF_SYSCALL: "y"
- BPF_UNPRIV_DEFAULT_OFF: "n"
- BPF: "y"
- BSD_PROCESS_ACCT: "y"
- CFS_BANDWIDTH: "y"
- CGROUP_BPF: "y"
- CGROUP_CPUACCT: "y"
- CGROUP_DEVICE: "y"
- CGROUP_FREEZER: "y"
- CGROUP_HUGETLB: "y"
- CGROUP_PERF: "y"
- CGROUP_SCHED: "y"
- CMA_AREAS: 7
- CMA: "y"
- COMPAT_32BIT_TIME: "y"
- CPU_FREQ_DEFAULT_GOV_PERFORMANCE: "y"
- CPU_FREQ_DEFAULT_GOV_SCHEDUTIL: "n"
- CPU_IDLE_GOV_LADDER: "y"
- CPUSETS: "y"
- CRC_T10DIF: "y"
- CRYPTO_BLAKE2B
- CRYPTO_DEV_VIRTIO
- CRYPTO_HMAC: "y"
- CRYPTO_HW: "y"
- CRYPTO_SEQIV: "y"
- CRYPTO_SHA256: "y"
- CRYPTO_USER_API_HASH: "y"
- CRYPTO_XXHASH
- DCB: "y"
- DEBUG_CREDENTIALS: "y"
- DEBUG_INFO_BTF: y, x86_64
- DEBUG_INFO_DWARF_TOOLCHAIN_DEFAULT: "y"
- DEBUG_INFO_DWARF4: "n"
- DEBUG_INFO_DWARF5: "n"
- DEBUG_INFO_REDUCED: n, x86_64
- DEBUG_INFO_SPLIT: n, x86_64
- DEBUG_INFO: "y"
- DEBUG_KERNEL: "y"
- DEBUG_MEMORY_INIT: "y"
- DEFAULT_FQ_CODEL: "y"
- DEFAULT_RENO: "y"
- DEFAULT_SECURITY_DAC: "y"
- DEVTMPFS_MOUNT: "y"
- DEVTMPFS: "y"
- DMA_CMA: "y"
- DNS_RESOLVER
- DUMMY
- DYNAMIC_FTRACE: "y"
- EFI_STUB: "y"
- EXT4_FS_POSIX_ACL: "y"
- EXT4_FS_SECURITY: "y"
- EXT4_FS: "y"
- FAIL_FUNCTION: "y"
- FAULT_INJECTION_DEBUG_FS: "y"
- FAULT_INJECTION: "y"
- FB_MODE_HELPERS: "y"
- FB_TILEBLITTING: "y"
- FB_VESA: "y"
- FB: "y"
- FONT_8x16: "y"
- FONT_MINI_4x6: "y"
- FONT_SUPPORT
- FONTS: "y"
- FPROBE: "y"
- FRAMEBUFFER_CONSOLE_DETECT_PRIMARY: "y"
- FRAMEBUFFER_CONSOLE_ROTATION: "y"
- FRAMEBUFFER_CONSOLE: "y"
- FS_VERITY: "y"
- FTRACE_SYSCALLS: "y"
- FUNCTION_ERROR_INJECTION: "y"
- FUNCTION_TRACER: "y"
- GENERIC_CPU: "n"
- GENERIC_PHY: "y"
- GENEVE
- HARDLOCKUP_DETECTOR: "y"
- HID_A4TECH
- HID_BELKIN
- HID_CHERRY
- HID_CYPRESS
- HID_DRAGONRISE
- HID_EZKEY
- HID_GREENASIA
- HID_GYRATION
- HID_KENSINGTON
- HID_KYE
- HID_MICROSOFT
- HID_MONTEREY
- HID_PANTHERLORD
- HID_PETALYNX
- HID_SMARTJOYPLUS
- HID_SUNPLUS
- HID_TOPSEED
- HID_TWINHAN
- HID_ZEROPLUS
- HIGH_RES_TIMERS: "y"
- HPET: "y"
- HUGETLBFS: "y"
- HWPOISON_INJECT
- HZ_1000: "y"
- IKCONFIG_PROC: "y"
- IKCONFIG: "y"
- IMA_READ_POLICY: "y"
- IMA_WRITE_POLICY: "y"
- IMA: "y"
- INET_ESP
- INET: "y"
- INPUT_EVDEV: "y"
- INTEL_POWERCLAMP
- IP_MROUTE: "y"
- IP_MULTICAST: "y"
- IP_NF_FILTER
- IP_NF_RAW
- IP_NF_TARGET_SYNPROXY
- IP_PIMSM_V1: "y"
- IP_PIMSM_V2: "y"
- IP_ROUTE_MULTIPATH: "y"
- IP_ROUTE_VERBOSE: "y"
- IPV6_FOU_TUNNEL
- IPV6_FOU
- IPV6_GRE
- IPV6_MIP6
- IPV6_ROUTE_INFO: "y"
- IPV6_ROUTER_PREF: "y"
- IPV6_SEG6_BPF: "y"
- IPV6_SIT
- IPV6_SUBTREES: "y"
- IPV6_TUNNEL: "y"
- IPV6: "y"
- IRQ_POLL: "y"
- JUMP_LABEL: "y"
- KEXEC: "y"
- KEYS: "y"
- KSM: "y"
- LIRC: "y"
- LOGO: "y"
- LWTUNNEL: "y"
- MAGIC_SYSRQ: "y"
- MCORE2: "y"
- MEMCG: "y"
- MEMORY_FAILURE: "y"
- MODULE_SIG: "y"
- MODULE_SRCVERSION_ALL: "y"
- MODULES: "y"
- MODULE_UNLOAD: "y"
- MODVERSIONS: "y"
- MPLS_IPTUNNEL
- MPLS_ROUTING
- MPLS: "y"
- MPTCP: "y"
- NAMESPACES: "y"
- NET_9P_VIRTIO: "y"
- NET_9P: "y"
- NET_CLS_ACT: "y"
- NET_CLS_BPF
- NET_CLS_CGROUP: "y"
- NET_CLS_FLOWER
- NETDEVICES: "y"
- NETDEVSIM
- NETFILTER_ADVANCED: "y"
- NETFILTER_NETLINK_LOG: m
- NETFILTER_NETLINK_QUEUE: m
- NETFILTER_SYNPROXY
- NETFILTER_XT_CONNMARK
- NETFILTER_XT_MATCH_STATE
- NETFILTER_XT_TARGET_CT
- NETFILTER: "y"
- NET_FOU_IP_TUNNELS: "y"
- NET_FOU
- NET_IPGRE_BROADCAST: "y"
- NET_IPGRE_DEMUX
- NET_IPGRE
- NET_IPIP
- NETKIT: "y"
- NETLABEL: "y"
- NET_MPLS_GSO: "y"
- NET_SCH_DEFAULT: "y"
- NET_SCHED: "y"
- NET_SCH_FQ_CODEL: m
- NET_SCH_FQ: m
- NET_SCH_INGRESS
- NET_TC_SKB_EXT: "y"
- NF_CONNTRACK_MARK: "y"
- NF_CONNTRACK: m
- NF_DEFRAG_IPV4
- NF_DEFRAG_IPV6
- NF_NAT: m
- NLS_ASCII: "y"
- NLS_CODEPAGE_437: "y"
- NO_HZ: "y"
- NUMA_BALANCING: "y"
- NVMEM: "y"
- PANIC_ON_OOPS: "y"
- PCIEPORTBUS: "y"
- PCI_IOV: "y"
- PCI_MSI: "y"
- PCI: "y"
- PHYSICAL_ALIGN: '0x1000000'
- POSIX_MQUEUE: "y"
- POWER_SUPPLY: "y"
- PRINTK_TIME: "y"
- PROC_KCORE: "y"
- PROFILING: "y"
- PTP_1588_CLOCK: "y"
- RC_LOOPBACK
- RC_CORE: "y"
- RC_DEVICES: "y"
- RCU_CPU_STALL_TIMEOUT: 60
- SCHED_STACK_END_CHECK: "y"
- SCHEDSTATS: "y"
- SECURITYFS: "y"
- SECURITY_NETWORK: "y"
- SECURITY: "y"
- SERIAL_8250_CONSOLE: "y"
- SERIAL_8250_DETECT_IRQ: "y"
- SERIAL_8250_EXTENDED: "y"
- SERIAL_8250_MANY_PORTS: "y"
- SERIAL_8250_NR_UARTS: 32
- SERIAL_8250_RSA: "y"
- SERIAL_8250_SHARE_IRQ: "y"
- SERIAL_8250: "y"
- SERIAL_NONSTANDARD: "y"
- SERIO_LIBPS2: "y"
- SMP: "y"
- SYN_COOKIES: "y"
- SYSVIPC: "y"
- TASK_DELAY_ACCT: "y"
- TASK_IO_ACCOUNTING: "y"
- TASKSTATS: "y"
- TASK_XACCT: "y"
- TCP_CONG_ADVANCED: "y"
- TCP_MD5SIG: "y"
- TEST_BPF: m
- TMPFS_POSIX_ACL: "y"
- TRANSPARENT_HUGEPAGE_MADVISE: "y"
- TRANSPARENT_HUGEPAGE: "y"
- UNIX: "y"
- USERFAULTFD: "y"
- VALIDATE_FS_PARSER: "y"
- VIRT_DRIVERS: "y"
- VIRTIO_BALLOON
- VIRTIO_BLK
- VIRTIO_CONSOLE
- VIRTIO_NET
- VIRTIO_PCI: "y"
- VSOCKETS: "y"
- VXLAN
- X86_ACPI_CPUFREQ
- X86_CPUID: "y"
- X86_MSR: "y"
- XDP_SOCKETS_DIAG: "y"
- XDP_SOCKETS: "y"
- XFRM_INTERFACE
- XFRM_SUB_POLICY: "y"
- ZEROPLUS_FF: "y"
initrds:
- linux_headers
- linux_selftests
kconfig: x86_64-rhel-9.4-bpf
enqueue_time: 2025-01-23 11:10:30.631579544 +08:00
_rt: "/result/kernel-selftests-bpf/bpf/lkp-kbl-d01/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-bpf/gcc-12/1c7701f3dda185212b05ce57b783ec9f40d599ee"
compiler: gcc-12
head_commit: b9f198bd916344842dff66e8b8797b0405200676
base_commit: 5bc55a333a2f7316b58edc7573e8e893f7acb532
branch: linux-devel/devel-hourly-20250114-051639
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20250122-221107"
arch: x86_64
max_uptime: 3600
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kernel-selftests-bpf/bpf/lkp-kbl-d01/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-bpf/gcc-12/1c7701f3dda185212b05ce57b783ec9f40d599ee/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4-bpf/gcc-12/1c7701f3dda185212b05ce57b783ec9f40d599ee/vmlinuz-6.13.0-rc6-00025-g1c7701f3dda1
- branch=linux-devel/devel-hourly-20250114-051639
- job=/lkp/jobs/scheduled/lkp-kbl-d01/kernel-selftests-bpf-bpf-debian-12-x86_64-20240206.cgz-1c7701f3dda1-20250123-462748-1p8k1x2-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4-bpf
- commit=1c7701f3dda185212b05ce57b783ec9f40d599ee
- intremap=posted_msi
- max_uptime=3600
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4-bpf/gcc-12/1c7701f3dda185212b05ce57b783ec9f40d599ee/modules.cgz"
linux_headers_initrd: "/pkg/linux/x86_64-rhel-9.4-bpf/gcc-12/1c7701f3dda185212b05ce57b783ec9f40d599ee/linux-headers.cgz"
linux_selftests_initrd: "/pkg/linux/x86_64-rhel-9.4-bpf/gcc-12/1c7701f3dda185212b05ce57b783ec9f40d599ee/linux-selftests.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/kernel-selftests_20241208.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/kernel-selftests-x86_64-7503345ac5f5-1_20241208.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20250116191805/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-kbl-d01/kernel-selftests-bpf-bpf-debian-12-x86_64-20240206.cgz-1c7701f3dda1-20250123-462748-1p8k1x2-0.cgz"
last_kernel: 6.13.0-rc5-00776-g911eebb2aa66
acpi_rsdp: '0x000f05b0'

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-9.4-bpf/gcc-12/1c7701f3dda185212b05ce57b783ec9f40d599ee/vmlinuz-6.13.0-rc6-00025-g1c7701f3dda1"
result_root: "/result/kernel-selftests-bpf/bpf/lkp-kbl-d01/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-bpf/gcc-12/1c7701f3dda185212b05ce57b783ec9f40d599ee/0"

#! /db/releases/20250123112104/lkp-src/include/site/inn
dequeue_time: 2025-01-23 12:58:03.573442155 +08:00
job_state: kexec_fail_from_job
